## iceape 2.0.14

=== debian/changelog ===
iceape (2.0.14-9) unstable; urgency=low

  * Fixes for mfsa2011-{46-47,49}, also known as
    CVE-2011-3647, CVE-2011-3648, CVE-2011-3650.

 -- Mike Hommey <glandium@debian.org>  Tue, 08 Nov 2011 22:57:28 +0100

iceape (2.0.14-8) unstable; urgency=low

  * Fixes for mfsa2011-{36-40}, also known as
    CVE-2011-2995, CVE-2011-2998, CVE-2011-2999, CVE-2011-3000,
    CVE-2011-2372.
  * mozilla/security/manager/ssl/src/nsIdentityChecking.cpp,
    mozilla/security/manager/ssl/src/nsNSSCallbacks.*,
    mozilla/security/manager/ssl/src/nsNSSIOLayer.*: Mark DigiNotar root
    certificates as revoked instead of untrusted.

 -- Mike Hommey <glandium@debian.org>  Thu, 29 Sep 2011 08:19:31 +0200

iceape (2.0.14-7) unstable; urgency=low

  * debian/control: iceape conflicts with iceape-browser << 2.0.14-5~.
    Closes: #637975.

 -- Mike Hommey <glandium@debian.org>  Wed, 17 Aug 2011 08:58:55 +0200

iceape (2.0.14-6) unstable; urgency=low

  * debian/rules: Only check autoconf.mk files under mozilla/. Fixes FTBFS on
    powerpc, s390, mips.

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2011 19:09:35 +0200

iceape (2.0.14-5) unstable; urgency=low

  * Fixes for mfsa2011-30, including:
    CVE-2011-2982, CVE-2011-2981, CVE-2011-2378, CVE-2011-2984,
    CVE-2011-2983.
  * debian/rules, debian/iceape-browser.manpages: Build in a sub-directory.
  * debian/control:
    - Only build-depend on libjpeg-dev.
    - Use linux-any wildcard for libasound2-dev and libiw-dev Build-Depends
      instead of using a list of negated architectures. Closes: #634659.
    - Remove iceape-dev transitional package.
    - Bump Standards-Version to 3.9.2.0.
  * debian/rules:
    - Enhance the check-system-libs rule to check in the all autoconf.mk files.
    - Remove extra LDFLAGS for alpha. It is unsure this still has any positive
      effect, and alpha has many other problems that would need fixing if
      porters care.
    - Disable necko wifi on unsupported platforms.
    - Use -O2 on ia64, to work around ICE.
  * debian/iceape-browser.install, debian/pkg_files: Install aboutIce
    component and ice chrome through debian/pkg_files.
  * debian/rules, debian/control, debian/iceape.*, debian/iceape-browser.*,
    debian/iceape-mailnews.*: Prepare for future versions of Iceape and merge
    iceape-browser and iceape-mailnews into iceape. The package separation is
    not going to work out very well with the newer (>= 2.2) releases of Iceape.

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2011 15:26:05 +0200

iceape (2.0.14-4) unstable; urgency=low

  * debian/rules, debian/iceape-browser.install: Don't install nspr and nss
    symbolic links in iceape directory. Closes: #632456.

 -- Mike Hommey <glandium@debian.org>  Sat, 02 Jul 2011 15:10:17 +0200

iceape (2.0.14-3) unstable; urgency=high

  * Fixes for mfsa2011-{19,20,22-24}, also known as
    CVE-2011-2374, CVE-2011-2376, CVE-2011-2365, CVE-2011-2373,
    CVE-2011-2371, CVE-2011-0083, CVE-2011-2363, CVE-2011-0085,
    CVE-2011-2362.

 -- Mike Hommey <glandium@debian.org>  Fri, 01 Jul 2011 13:45:13 +0200

iceape (2.0.14-2) unstable; urgency=low

  * xpcom/base/nsDebugImpl.h, xpcom/base/nsTraceRefcntImpl.h,
    xpcom/glue/nsEnumeratorUtils.cpp, xpcom/io/nsUnicharInputStream.h,
    gfx/ots/src/os2.cc, intl/unicharutil/util/nsUnicharUtils.h,
    toolkit/xre/nsAppRunner.cpp, embedding/browser/gtk/src/EmbedPrivate.cpp:
    Add missing constructors according to 8.5 [dcl.init], para 9 in C++03,
    para 6 in C++0x, because gcc 4.6 enforces it. Closes: #625069.
  * debian/copyright: Updated to fit the replacement of the remove.nonfree
    script.

 -- Mike Hommey <glandium@debian.org>  Fri, 13 May 2011 07:47:56 +0200

iceape (2.0.14-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2011-{12-16,18}, also known as
    CVE-2011-0069, CVE-2011-0070, CVE-2011-0080, CVE-2011-0074,
    CVE-2011-0075, CVE-2011-0077, CVE-2011-0078, CVE-2011-0072,
    CVE-2011-0065, CVE-2011-0066, CVE-2011-0073, CVE-2011-0067,
    CVE-2011-0076, CVE-2011-0071, CVE-2011-1202.
  * gfx/ots/include/opentype-sanitiser.h: strict alignment issues when
    displaying OpenType fonts. bz#643137.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Apr 2011 08:58:35 +0200

iceape (2.0.13-1) unstable; urgency=high

  * New upstream release.
  * mfsa2011-11: Update to HTTPS certificate blacklist.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Mar 2011 11:29:42 +0100

iceape (2.0.12-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2011-{01-08,10}, also known as
    CVE-2011-0053, CVE-2011-0051, CVE-2011-0055, CVE-2011-0054,
    CVE-2011-0056, CVE-2011-0057, CVE-2011-0058, CVE-2010-1585,
    CVE-2011-0059.
  * debian/menu_dir/iceape-navigator.desktop: Add MimeTypes, including
    x-scheme-handler/http*.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Mar 2011 09:24:26 +0100

iceape (2.0.11-2) unstable; urgency=low

  * debian/extra-stuff/Makefile.in, debian/extra-stuff/debUpdateNotifier.*,
    debian/extra-stuff/filemonitor, debian/iceape-browser.install,
    debian/iceape-browser.links, debian/pkg_files: Remove update notifier,
    it's not quite as helpful as it should be for squeeze
  * debian/control: Relax libglib2.0-dev build dependency. 2.18.0 was only
    needed for filemonitor, which we just removed.
  * debian/remove.nonfree, debian/repack.py, debian/source.filter,
    debian/watch: Update debian/watch and provide a script repacking
    upstream source tarballs.
  * debian/rules, debian/README.source: Remove the "source" target.
    uscan is now enough
  * debian/README.Debian: Fix for the default dsp wrapper behaviour.

 -- Mike Hommey <glandium@debian.org>  Mon, 27 Dec 2010 16:17:19 +0100
