=== debian/control ===
Source: iceape
Section: net
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 7.2.3),
               autotools-dev,
               libgtk2.0-dev,
               zip,
               libjpeg-dev,
               libpng12-dev,
               zlib1g-dev,
               libxft-dev,
               libfontconfig1-dev,
               libidl-dev,
               libxp-dev,
               libxt-dev,
               libxau-dev,
               libcairo2-dev (>= 1.8.8),
               libglib2.0-dev (>= 2.16.0),
               libgnomevfs2-dev,
               libgnomeui-dev,
               dpkg-dev (>= 1.13.19), dpkg-dev (<= 1.14.7) | dpkg-dev (>= 1.14.11),
               imagemagick,
               librsvg2-bin,
               libhunspell-dev (>= 1.1.5-2),
               libnspr4-dev (>= 4.8.6),
               libnss3-dev (>= 3.12.8),
               libstartup-notification0-dev,
               libdbus-glib-1-dev,
               libsqlite3-dev,
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               python-ply
Build-Conflicts: libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.2.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceape.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceape.git

Package: iceape
Architecture: any
Section: web
Depends: ${shlibs:Depends},
         libcairo2 (>= 1.8.8),
         ${misc:Depends}
Replaces: iceape-browser,
          iceape-mailnews,
          iceape-gnome-support
Recommends: iceape-chatzilla
Suggests: ttf-lyx | latex-xft-fonts,
          libgssapi-krb5-2 | libkrb53,
          xul-ext-dom-inspector,
          ${gnome:Depends},
          libgnomeui-0,
          libcanberra0
Conflicts: iceape-calendar (<< 2.0),
           iceape-dev-bin (= 1.1.14-1.1),
           iceape-chatzilla (<< 2.0),
           iceape-dom-inspector (<< 2.0),
           iceape-gnome-support,
           iceape-browser (<< 2.0.14-5~),
           iceape-mailnews
Provides: www-browser,
          mail-reader,
          imap-client,
          news-reader,
          iceape-browser,
          iceape-mailnews
Description: The Iceape Internet Suite
 The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
 for free distribution. The Seamonkey Internet Suite is a set of Internet
 oriented applications. It is the continuity of the Mozilla Suite after it
 has been abandoned in favor of Firefox and Thunderbird.
 .
 The Iceape Internet Suite consists of:
  - an Internet browser (Iceape Navigator)
  - an HTML WYSIWYG editor (Iceape Composer)
  - a Mail and News client (Iceape Mail & Newsgroups)
  - an Address Book (Iceape Address Book)
  - an IRC client (Chatzilla)
 .
 Iceape Navigator is a sophisticated graphical World-Wide-Web browser, with
 a large number of various browser features like support for HTML 4.0, CSS
 2, JavaScript, etc. It also features tabbed browsing, popup blocking, and
 many others options.
 .
 Iceape Composer is a WYSIWYG HTML editor that lets you modify arbitrary
 HTML pages. It provides dynamic image and table resizing, quick insert
 and delete of table cells, and supports CSS and positioned layers.
 .
 Iceape Mail & Newsgroups client supports NNTP Newsgroups and IMAP/POP Mail.
 It has a full variety of features such as multiple accounts, labels,
 adaptive junk mail control, S/MIME, digital signing.
 .
 Iceape Address Book adds address book management to the Iceape Mail &
 Newsgroups client. It supports LDAP, vCards...
 .
 Chatzilla is provided in a separate package (iceape-chatzilla).

Package: iceape-browser
Architecture: all
Section: web
Depends: iceape, ${misc:Depends}
Description: Transitional package to iceape
 The Iceape suite, with the exception of the IRC client, has been grouped in
 a common package. This package makes the transition smoother for users who
 hadn't installed the meta-package.
 .
 This package can safely be removed.

Package: iceape-dbg
Architecture: any
Priority: extra
Section: debug
Depends: iceape, ${misc:Depends}
Conflicts: iceape-browser (<< 2.0.14-5~),
           iceape-mailnews (<< 2.0.14-5~)
Description: Debugging symbols for the Iceape Internet Suite
 This package provides the debugging symbols for the Iceape Internet Suite
 programs. Install this package if you need to debug such a program or if
 you need a useful backtrace of a crash.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-chatzilla
Architecture: all
Section: net
Depends: iceape (>= ${source:Upstream-Version}), iceape (<= ${source:Version}.1~), ${misc:Depends}
Description: Iceape Chatzilla IRC client
 Chatzilla is a full featured IRC client integrated with the Iceape
 Internet Suite. It is scriptable, and supports what most people would
 expect from an IRC client.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.
