=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/(2\.0\.[\d\.]+)/source/seamonkey-([\d\.]+).source\.tar\.bz2 debian python debian/repack.py
