## iceape 2.7.2

=== debian/changelog ===
iceape (2.7.2-1) unstable; urgency=low

  * New upstream release. Addresses CVE-2011-3026.
  * ldap/sdks/c-sdk/ldap/include/portable.h,
    ldap/sdks/c-sdk/ldap/libraries/libldap/compat.c: Don't use strlcpy on
    kFreeBSD and Hurd. Closes: #659743.
  * configure.in: Port bz#528687 to fix FTBFS on mips*.

  * debian/rules: Disable methodjit on armel, and define __ARM_PCS.
  * debian/watch: Refreshed.

 -- Mike Hommey <glandium@debian.org>  Fri, 17 Feb 2012 17:06:56 +0100

iceape (2.7.1-1) unstable; urgency=low

  * New upstream release, finally. Closes: #606861.
  * Imported patches from iceweasel.
  * debian/control, debian/mozconfig: Refresh build dependencies and build
    options.
  * debian/rules:
    - Don't set -std=gnu++0x ourselves, upstream build system now does it for
      us.
    - Fix getting the NO_PKG_FILES variable value.
    - Install chatzilla-window.xpm from where it can be found.
    - Don't install .autoreg.
  * mozilla/xpcom/typelib/xpidl/Makefile.in,
    mozilla/xpcom/idl-parser/Makefile.in: Build without other-licenses/ply/ply.
  * debian/branding, debian/extra-stuff: Adapt aboutIce and extra components to
    XPCOM changes in Gecko 2.0.
  * debian/extra-stuff/addonsInfo.js: Fix the addons info dumper to use the new
    Addons Manager API.
  * debian/branding/Makefile.in: Upstream branding directory moved.
  * debian/rules, debian/pkg_files: Adapt install rules to new upstream.
  * debian/*.install, debian/*.links: Adapt to new upstream.

 -- Mike Hommey <glandium@debian.org>  Sun, 12 Feb 2012 17:09:53 +0100
