=== debian/control ===
--- 
+++ 
@@ -3,34 +3,37 @@
 Priority: optional
 Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 7.2.3),
-               autotools-dev,
-               libgtk2.0-dev,
+Build-Depends: autotools-dev,
+               debhelper (>= 7.2.3),
+               libx11-dev,
+               libxt-dev,
+               libgtk2.0-dev (>= 2.10),
+               libglib2.0-dev (>= 2.16.0),
+               libstartup-notification0-dev,
+               libgnomevfs2-dev,
+               libgnome2-dev,
+               libgnomeui-dev,
+               libcairo2-dev (>= 1.10.2-1.1~),
+               libjpeg-dev,
+               zlib1g-dev,
+               python,
+               dpkg-dev (>= 1.13.19), dpkg-dev (<= 1.14.7) | dpkg-dev (>= 1.14.11),
+               libnspr4-dev (>= 4.8.8),
+               libnss3-dev (>= 3.13.1),
+               libhunspell-dev (>= 1.2),
+               libdbus-glib-1-dev,
+               libsqlite3-dev (>= 3.7.7.1),
+               libasound2-dev [linux-any],
+               libiw-dev [linux-any],
+               libnotify-dev,
+               libffi-dev,
+               libevent-dev (>= 1.4.1),
+               libvpx-dev (>= 1.0.0),
+               mesa-common-dev,
                zip,
-               libjpeg-dev,
-               libpng12-dev,
-               zlib1g-dev,
-               libxft-dev,
-               libfontconfig1-dev,
-               libidl-dev,
-               libxp-dev,
-               libxt-dev,
-               libxau-dev,
-               libcairo2-dev (>= 1.8.8),
-               libglib2.0-dev (>= 2.16.0),
-               libgnomevfs2-dev,
-               libgnomeui-dev,
-               dpkg-dev (>= 1.13.19), dpkg-dev (<= 1.14.7) | dpkg-dev (>= 1.14.11),
+               unzip,
                imagemagick,
                librsvg2-bin,
-               libhunspell-dev (>= 1.1.5-2),
-               libnspr4-dev (>= 4.8.6),
-               libnss3-dev (>= 3.12.8),
-               libstartup-notification0-dev,
-               libdbus-glib-1-dev,
-               libsqlite3-dev,
-               libasound2-dev [linux-any],
-               libiw-dev [linux-any],
                python-ply
 Build-Conflicts: libhildonmime-dev,
                  libosso-dev
