=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,11 @@
 	CONFIGURE_FLAGS += --disable-necko-wifi
 endif
 
+ifneq (,$(filter armel,$(DEB_BUILD_ARCH)))
+	CONFIGURE_FLAGS += --disable-methodjit
+	CFLAGS += -D__ARM_PCS
+endif
+
 ifneq (,$(filter ia64,$(DEB_BUILD_ARCH)))
 	CONFIGURE_FLAGS += --enable-optimize=-O2
 endif
@@ -35,9 +40,6 @@
 CXX := g++
 endif
 CXXFLAGS := $(CFLAGS)
-ifeq (,$(shell dpkg --compare-versions $(shell $(CXX) -dumpversion) '>=' 4.4 || echo no))
-CXXFLAGS += -std=gnu++0x
-endif
 
 override_dh_auto_configure:
 	for dir in $(AUTOCONF_DIRS); do \
@@ -128,19 +130,19 @@
 	done
 
 NO_PKG_FILES = \
-	 $(shell $(MAKE) --no-print-directory -C suite/installer echo-variable-NO_PKG_FILES) \
+	 $(shell $(MAKE) --no-print-directory -C build-iceape/suite/installer echo-variable-NO_PKG_FILES) \
 	 $(shell sed /^\#/d debian/no_pkg_files)
 
 override_dh_auto_install:
-	$(MAKE) -C build-iceape/suite/installer packages
-	cat debian/pkg_files >> build-iceape/suite/installer/packages
+	$(MAKE) -C build-iceape/suite/installer package-manifest
+	cat debian/pkg_files >> build-iceape/suite/installer/package-manifest
 	dh_auto_install -- MOZ_PKG_REMOVALS= NO_PKG_FILES="$(NO_PKG_FILES)"
 	$(MAKE) -C build-iceape/debian/branding install DESTDIR=$(TMP_DIR)
 
 	install -d -m 755 $(TMP_DIR)/usr/share/pixmaps
 	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/main-window.png $(TMP_DIR)/usr/share/pixmaps/iceape.xpm
 	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/editorWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-composer.xpm
-	install -m 644 $(TMP_DIR)/usr/lib/iceape/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/chrome/icons/default/chatzilla-window.xpm $(TMP_DIR)/usr/share/pixmaps/chatzilla.xpm
+	install -m 644 $(CURDIR)/build-iceape/mozilla/dist/xpi-stage/chatzilla/chrome/icons/default/chatzilla-window.xpm $(TMP_DIR)/usr/share/pixmaps/chatzilla.xpm
 	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/addressbookWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-addressbook.xpm
 	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/messengerWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-mailnews.xpm
 	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/msgcomposeWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-mail-compose.xpm
@@ -152,8 +154,6 @@
 
 	install -d -m 755 $(TMP_DIR)/usr/sbin
 	install -m 755 $(CURDIR)/debian/iceape-runner $(TMP_DIR)/usr/lib/iceape/iceape
-
-	install -m 644 $(DIST)/bin/.autoreg $(TMP_DIR)/usr/lib/iceape
 
 	install -d -m 755 $(TMP_DIR)/etc/iceape/pref
 	install -m 644 $(CURDIR)/debian/base.js $(TMP_DIR)/etc/iceape/pref
