## iceape 2.7.3

=== debian/changelog ===
iceape (2.7.3-1) unstable; urgency=low

  * New manually-made upstream release. (Upstream Seamonkey doesn't release
    from the ESR branch)
  * Fixes for mfsa2012-{12-19}, also known as
    CVE-2012-0454, CVE-2012-0455, CVE-2012-0456, CVE-2012-0457,
    CVE-2012-0451, CVE-2012-0458, CVE-2012-0459, CVE-2012-0460,
    CVE-2012-0461, CVE-2012-0462, CVE-2012-0464.
  * debian/source.filter: Refreshed.
  * debian/import-tar.py, debian/l10n.filter, ,debian/latest_nightly.py,
    debian/make.mk, debian/repack.py, debian/rules, debian/upstream.mk:
    Import utility makefiles and scripts from iceweasel.
  * debian/upstream.mk: Allow a separate revision for compare-locales.
  * debian/control*, debian/l10n, debian/rules: Add iceape l10n.
  * debian/rules: Don't sign NSS libraries, as this is done as part of libnss3
    build process.

  * widget/src/xpwidgets/GfxInfoX11.*:
    - Block OpenGL 1 drivers explicitly to steer clear of crashes. bz#696636.
    - Block the Nouveau 3D driver with Mesa < 8.0.1. bz#729817.
  * xpcom/base/nsStackWalk.cpp: Fixup bz#730195 for Linux ARM (use
    _URC_FOREIGN_EXCEPTION_CAUGHT instead of _URC_NORMAL_STOP).
  * suite/browser/browser-prefs.js: Don't auto-disable extensions in system
    directories.

 -- Mike Hommey <glandium@debian.org>  Fri, 16 Mar 2012 15:19:55 +0100
