=== debian/control ===
--- 
+++ 
@@ -136,3 +136,156 @@
  expect from an IRC client.
  .
  See the 'iceape' package for more information on the Iceape Internet Suite.
+
+Package: iceape-l10n-all
+Architecture: all
+Section: localization
+Depends: ${misc:Depends}, iceape-l10n-be, iceape-l10n-ca, iceape-l10n-cs, iceape-l10n-de, iceape-l10n-en-gb, iceape-l10n-es-ar, iceape-l10n-es-es, iceape-l10n-fi, iceape-l10n-fr, iceape-l10n-gl, iceape-l10n-hu, iceape-l10n-it, iceape-l10n-ja, iceape-l10n-lt, iceape-l10n-nb-no, iceape-l10n-nl, iceape-l10n-pl, iceape-l10n-pt-pt, iceape-l10n-ru, iceape-l10n-sk, iceape-l10n-sv-se, iceape-l10n-tr, iceape-l10n-zh-cn
+Description: All language packages for Iceape (meta)
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This is a metapackage depending on all available localizations of Iceape.
+
+Package: iceape-l10n-be
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: 
+Description: Belarusian language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Belarusian.
+
+Package: iceape-l10n-ca
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-ca
+Description: Catalan language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Catalan.
+
+Package: iceape-l10n-cs
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-cs-cz
+Description: Czech language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Czech.
+
+Package: iceape-l10n-de
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-de-de | myspell-de-at | myspell-de-ch
+Description: German language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in German.
+
+Package: iceape-l10n-en-gb
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-en-gb | myspell-en-us
+Description: English (United Kingdom) language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in English (United Kingdom).
+
+Package: iceape-l10n-es-ar
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-es
+Description: Spanish (Argentina) language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Spanish (Argentina).
+
+Package: iceape-l10n-es-es
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-es
+Description: Spanish (Spain) language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Spanish (Spain).
+
+Package: iceape-l10n-fi
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-fi
+Description: Finnish language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Finnish.
+
+Package: iceape-l10n-fr
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: myspell-fr | myspell-fr-gut
+Description: French language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in French.
+
+Package: iceape-l10n-gl
+Architecture: all
+Section: localization
+Depends: ${misc:Depends},
+         iceape (>= ${source:Version}), iceape (<< ${source:Version}.1~)
+Recommends: 
+Description: Galician language package for Iceape
+ The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
+ for free distribution. The Seamonkey Internet Suite is a set of Internet
+ oriented applications. It is the continuity of the Mozilla Suite after it
+ has been abandoned in favor of Firefox and Thunderbird.
+ .
+ This package contains the localization of Iceape in Galician.
+
